ProductGroupProduct:
  type: object
  properties:
    id:
      type: integer
      description: ID of the product link and the product
    product_group_product_id:
      type: integer
      description: ID of the product link and the product from PIM
    product_group_id:
      type: integer
      description: Product gluing ID from PIM
    product_id:
      type: integer
      description: Product ID from PIM
    product_group:
      $ref: './product_groups.yaml#/ProductGroup'
      description: Product gluing
      nullable: true
    product:
      $ref: '../../products/schemas/products.yaml#/Product'
      description: Product offers
    is_migrated:
      type: boolean
      description: Saved/created during migration of records from master services
    created_at:
      type: string
      format: date-time
      description: Product Group Product created at
    updated_at:
      type: string
      format: date-time
      description: Product Group Product updated at
  required:
    - id
    - product_group_product_id
    - product_group_id
    - product_id
    - is_migrated
    - created_at
    - updated_at

SearchProductGroupProductsRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      type: object
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

SearchProductGroupProductsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/ProductGroupProduct'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
